<?php

    // Aktuelle Mondphase mit Icon

     setlocale(LC_TIME, 'de_DE', 'de_DE.UTF-8');

?>

  <html lang="de">
     <head>
               <title>Wiesbaden - Sonnenauf- & -untergang, Mondphasen</title>
               <meta name="author" content="S.G.Schiffer">
               <meta name="publisher" content="sgs-visual.de">
               <meta name="description" content="Wiesbaden - Sonnenaufgang, Sonnenuntergang und aktuelle Mondphase">
               <meta name="keywords" content="Wiesbaden, Sonnenaufgang, Sonnenuntergang, Mondphasen">
               <meta name="robots" content="index, follow">
               <meta name="viewport" content="width=device-width, initial-scale=1">
     </head>
  <body>

   <style type="text/css">

    #digitaluhr {
     font-family: Roboto, Arial, sans-serif;
     letter-spacing: 0px;
     color: #000000;
     }

   .MondphasenIcon {
    font-family:Roboto, Arial, sans-serif;
    font-size: 14px;
    color: #000000;
    }

   .Stadtname {
    font-family:Roboto, Arial, sans-serif;
    font-size: 16px;
    color: #000000;
    }

     .hinweis {
     font-size: 10px;
     line-height:110%;
     }

     .link {
     font-size: 10px;
     color: #FF0000;
     text-decoration: none;
     }

   </style>

<div class="MondphasenIcon"><strong class="Stadtname">Wiesbaden</strong><br>

<SCRIPT Language="JavaScript">

        var W = new Array('Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag','Sonntag'),

        H=new Date(),

        E=new Array(

            "Januar","Februar","März","April","Mai","Juni","Juli",

            "August","September","Oktober","November","Dezember"

        );

        document.write(

            W[H.getDay()]

            +"&nbsp;"+H.getDate()

            +". "+E[H.getMonth()]

            +" "+H.getFullYear()

        )
</script>

<br>

  <script>
      function startTime() {
      var today = new Date();
      var h = today.getHours();
      var m = today.getMinutes();
      var s = today.getSeconds();
      m = checkTime(m);
      s = checkTime(s);
      document.getElementById('digitaluhr').innerHTML = h + ":" + m + ":" + s;
      var t = setTimeout(startTime,500);
     }   
      function checkTime(i) {
      if (i < 10) {i = "0" + i}; 
      return i;
     }
  </script>

  <body onLoad="startTime()">
<uhr id="digitaluhr"></uhr>Uhr

<br>
<?php

// Berechnung der Uhrzeit des Sonnenaufgangs für Wiesbaden

//  Für andere Städte (DE) müssen Sie nur den Breiten- und der Längengrad anpassen:
//  date_sunrise(time(), SUNFUNCS_RET_STRING, BREITENGRAD, LÄNGENGRAD, 90, 2)

echo 'Sonnenaufgang: ' .date_sunrise(time(), SUNFUNCS_RET_STRING, 50.0463333, 8.1976777, 90, 2)."Uhr <br>";

?>

<?php

// Berechnung der Uhrzeit des Sonnenuntergangs für Wiesbaden

//  Für andere Städte (DE) müssen Sie nur den Breiten- und der Längengrad anpassen:
//  date_sunrise(time(), SUNFUNCS_RET_STRING, BREITENGRAD, LÄNGENGRAD, 90, 2)

echo 'Sonnenuntergang: ' .date_sunset(time(), SUNFUNCS_RET_STRING, 50.0463333, 8.1976777, 90, 2)."Uhr <br>";

?>
   </div>
   <div class="MondphasenIcon">Mondphase: 

<?php

 //  Mondphasen

 require( 'mondphase.inc.php' ); // Berechnung includieren

 do_phasehunt();

 $today = 'Y-m-d'; 
date("Y-m-d 00:00:00 MEZ"); 
 $start = strtotime($today);
 $stop = strtotime($today)+60*60*24*365;
 do_phaselist( $start, $stop );

 $date = $today;
 $time = "00:00:00";
 $tzone = "MEZ";
 do_phase( $date, $time, $tzone );

 function do_phasehunt()  {
	$phases = array();
	$phases = phasehunt();
 }
 function do_phaselist( $start, $stop )  {
	$name = array ( "Neumond", "zun. Mond", "Vollmond", "abn. Mond" );
	$times = phaselist( $start, $stop );

	foreach ( $times as $time )  {

	}
 }



  // phase() Beispiel
     function do_phase ( $date, $time, $tzone )  {
	$moondata = phase(strtotime($date . ' ' . $time . ' ' . $tzone));

	$MoonPhase	= $moondata[0];
	$MoonIllum	= $moondata[1];
	$MoonAge	= $moondata[2];
	$MoonDist	= $moondata[3];
	$MoonAng	= $moondata[4];
	$SunDist	               = $moondata[5];
	$SunAng		= $moondata[6];

	$phase = 'zun. Mond';
	if ( $MoonAge > SYNMONTH/2 )  {
		$phase = 'abn. Mond';
	}

	// Konvertiert $MoonIllum in Prozent (abgerundet).
	$MoonIllum = round( $MoonIllum, 2 );
	$MoonIllum *= 100;
	if ( $MoonIllum == 0 )  {
		$phase = "Neumond";
	}
	if ( $MoonIllum == 100 )  {
		$phase = "Vollmond";
	}

	print " $phase"; print " ($MoonIllum%)";

 }



?>


<br>
<xtra class="hinweis"><br>Keine Gewährleistung für die Korrektheit der<br>berechneten Daten.<a class="link" href="https://www.sgs-visual.de" target="_blank"> www.sgs-visual.de</a>

      <div>
    </body>
 </html>